Package org.apache.sysds.runtime.einsum

# Class EinsumSpoofRowwise

java.lang.Object
org.apache.sysds.runtime.codegen.SpoofOperator
org.apache.sysds.runtime.codegen.SpoofRowwise
org.apache.sysds.runtime.einsum.EinsumSpoofRowwise

All Implemented Interfaces:
  `Serializable`

public final class EinsumSpoofRowwise extends SpoofRowwise

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.codegen.SpoofRowwise

`SpoofRowwise.RowType`

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.codegen.SpoofOperator

`SpoofOperator.SideInput, SpoofOperator.SideInputSparseCell, SpoofOperator.SideInputSparseRow`

## Constructor Summary

Constructors
Constructor
Description
`EinsumSpoofRowwise(EOpNodeFuse.EinsumRewriteType einsumRewriteType, SpoofRowwise.RowType rowType, long constDim2, int abCount, boolean bSupplied, int aCount, int azCount, int zSize)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`vectMultiplyAdd(double aval, double[] a, double[] b, double[] c, int ai, int bi, int ci, int len)`
`static void`
`vectMultiplyWrite(double aval, double[] a, double[] b, double[] c, int ai, int bi, int ci, int len)`

### Methods inherited from class org.apache.sysds.runtime.codegen.SpoofRowwise

`createCUDAInstrcution, execute, execute, execute, execute, getConstDim2, getNumIntermediates, getRowType, getSpoofType, getTmpMemoryReq, hasMatrixObjectSideInput, hasMatrixSideInput`

### Methods inherited from class org.apache.sysds.runtime.codegen.SpoofOperator

`execute, getDenseMatrices, getNativeStagingBuffer, getTotalInputNnz, getTotalInputSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EinsumSpoofRowwise

public EinsumSpoofRowwise(EOpNodeFuse.EinsumRewriteType einsumRewriteType, SpoofRowwise.RowType rowType, long constDim2, int abCount, boolean bSupplied, int aCount, int azCount, int zSize)

## Method Details

### vectMultiplyWrite

public static void vectMultiplyWrite(double aval, double[] a, double[] b, double[] c, int ai, int bi, int ci, int len)

### vectMultiplyAdd

public static void vectMultiplyAdd(double aval, double[] a, double[] b, double[] c, int ai, int bi, int ci, int len)